Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.cache
Interface CacheDefaults

All Known Subinterfaces:
  Cache

    public interface CacheDefaults

Supplies default cache parameters for cache.

Field Summary
`static boolean` | `DEFAULT_ENABLED` Whether the cache is enabled or disabled by default: true
`static int` | `DEFAULT_MAX_ENTRIES` Default max number of entries in the cache : 100
`static long` | `DEFAULT_TTL` Default time to live of elements in the cache, in millisecs: 3600000L
`static int` | `MAX_ENTRIES_MAX` Maximum value for the maximum number of entries the cache: 2147483647
`static int` | `TTL_NEVER_EXPIRE` Live forever -- elements in cache will never expire: -1

Field Detail

### DEFAULT_TTL

    static final long DEFAULT_TTL

  Default time to live of elements in the cache, in millisecs: 3600000L

  See Also
    Constants Summary

### TTL_NEVER_EXPIRE

    static final int TTL_NEVER_EXPIRE

  Live forever -- elements in cache will never expire: -1

  See Also
    Constants Summary

### MAX_ENTRIES_MAX

    static final int MAX_ENTRIES_MAX

  Maximum value for the maximum number of entries the cache: 2147483647

  See Also
    Constants Summary

### DEFAULT_MAX_ENTRIES

    static final int DEFAULT_MAX_ENTRIES

  Default max number of entries in the cache : 100

  See Also
    Constants Summary

### DEFAULT_ENABLED

    static final boolean DEFAULT_ENABLED

  Whether the cache is enabled or disabled by default: true

  See Also
    Constants Summary

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.